const select = [
    {
        title: 'Date Picker Test',
        showCaptcha: false,
        buttons: [
            {
                name: 'submit',
                label: 'Enviar',
                type: 'button',
                color: 'primary', // or a HexColor
                action: 'isSubmit' // or isSetChapter or isCancel
            }
        ],
        fields: [

            {
                id: 'select',
                name: 'select',
                label: 'Select',
                type: 'select',
                onSubmit: null,
                options: ['Option 1', 'Option 2', 'Or You can Use Constants'],
                isSearching: false,
                supportsWriteOthers: false,
                source: {
                    query: {
                        fname: 'name', //query selector
                        ftype: 'like',  //query selector
                        endpoint: 'full addres to endopoint example "http://google.com:8080/api/moduleName"'
                    },
                    reducer: result => { //reducer function takes care of building the object that the select component consumes.
                        if (result.message) { //if the api returns with a 404  fills the option with the 404 message
                            return {label: result.message, value: null};
                        }
                        return ({ // here you can build the label that shows up in the select component, in this case several fields are mixed together to make a new string
                            label: `${result.name} - cp: ${result.cp} - ${result.province.name}`,
                            value: result.id
                        });
                    }
                },
                validateOnChange: value => {
                    const isValid = {status: 'valid', message: 'Picked an option'};
                    if (!value || value.value === null) {
                        isValid.status = 'invalid';
                        isValid.message = 'No option as been picked';
                    }
                    return isValid;
                },
                searchAmount: 4 // Minimun amount of letters before making a http request
            }
        ]
    }
]

export default select;
